Bug 7148 - Add some error handling to Acquisitions' Z39.50 search to match Cataloging's
Summary: Add some error handling to Acquisitions' Z39.50 search to match Cataloging's
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: 3.6
Hardware: All All
: P3 enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/acqui/z3950_search.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-03 14:03 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (5.67 KB, patch)
2011-11-03 14:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Fix for Bug 7148 - Add some error handling to Acquisitions' Z39.50 search to match Cataloging's (5.68 KB, patch)
2011-12-19 07:27 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-11-03 14:03:23 UTC
commit 16fef8ba3e18c12347f35ff24a43c20d7ee53a8c added some error handling for timeout(10007) and refused(10000) to the Z39.50 search script in Cataloging. The same should be added to the Z39.50 search in Acquisitions.
Comment 1 Owen Leonard 2011-11-03 14:31:57 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-19 07:27:10 UTC
Created attachment 6860 [details] [review]
Fix for Bug 7148 - Add some error handling to Acquisitions' Z39.50 search to match Cataloging's

- Copying over error handling for timeout(10007) and refused(10000)
- Copying over error handling for submission with no targets chosen
- Correcting "cancel" link in the template which was not modified
  when it was copied from cataloging's popup window template.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Paul Poulain 2012-02-02 13:14:05 UTC
QA comment
* also include some code cleaning (removing dead lines, adding $DEBUG and warn instead of unconditionnal warns, +1


passed QA. this is at the frontier of ENH and bugfix, so assigning to 3.6, chris_n it's worth including it in 3.6
Comment 4 Jared Camins-Esakov 2012-05-23 12:58:00 UTC
This fix was included in the 3.6.x branch prior to 3.6.4.